ReferenceCatalog
A published server and its approved, listed capabilities
GET
/v1/catalog/servers/{serverId}Path Parameters
serverId*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/catalog/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "server": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string", "description": "string", "teamSlug": "string", "teamName": "string", "counts": { "tools": 0, "resources": 0, "resourceTemplates": 0, "prompts": 0 }, "health": { "status": "healthy", "checkedAt": "2019-08-24T14:15:22Z", "statusSince": "2019-08-24T14:15:22Z", "latencyMs": 0, "errorClass": "unavailable", "message": "string", "signInRequired": true }, "publishedAt": "2019-08-24T14:15:22Z", "capturePayloads": true, "authMode": "none" }, "capabilities": [ { "requires": { "providerId": "4834bcdc-4a64-444d-966b-1a6fe381da24", "providerSlug": "github", "providerName": "GitHub", "scopes": [ "string" ], "connected": true, "providerKind": "oauth2" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "tool", "name": "string", "title": "string", "description": "string", "definition": {} } ] }}